> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.voicecheap.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取操作 OpenAPI 文档

> 读取描述所有客户操作及其输入 schema 的公开 OpenAPI 3.1 文档。

读取描述所有客户操作及其输入 schema 的公开 OpenAPI 3.1 文档。

```http theme={null}
GET https://api.voicecheap.ai/v1/openapi.json
```

## 身份验证

无。此路由不会认证账户，也不会授予任何操作的访问权限。

## 请求示例

请遵循此路由文档规定的编码和身份验证方式。操作 API 的封装格式和幂等性规则仅适用于操作调用。

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET 'https://api.voicecheap.ai/v1/openapi.json'
  ```

  ```javascript JavaScript theme={null}
  const input = {};
  const response = await fetch('https://api.voicecheap.ai/v1/openapi.json', {
    method: 'GET',
    headers: {},
    redirect: 'manual',
  });
  console.log(response.status, await response.text());
  ```

  ```python Python theme={null}
  import os
  import requests

  response = requests.request(
      "GET",
      "https://api.voicecheap.ai/v1/openapi.json",
      headers={},
      timeout=120,
      allow_redirects=False,
  )
  print(response.status_code, response.text)
  ```
</RequestExample>

## 响应

具有代表性的元数据摘录。完整响应还包含每个已注册操作的路径，包括其 JSON 请求架构、所需权限范围、写入幂等性请求头和文档列明的 HTTP 结果。

```json HTTP 200 theme={null}
{
  "openapi": "3.1.0",
  "info": {
    "title": "VoiceCheap API",
    "version": "1.0.0",
    "description": "Public customer actions shared with the VoiceCheap MCP. Existing multipart v1 routes remain documented separately."
  },
  "servers": [
    {
      "url": "https://api.voicecheap.ai/v1"
    }
  ],
  "security": [
    {
      "ApiKey": []
    },
    {
      "BearerApiKey": []
    }
  ],
  "components": {
    "securitySchemes": {
      "ApiKey": {
        "type": "apiKey",
        "in": "header",
        "name": "x-api-key"
      },
      "BearerApiKey": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "VoiceCheap API key"
      }
    }
  }
}
```

## 操作说明

* 返回的 servers\[0].url 包含 /v1。文档中的操作路径以 /actions/ 开头，因此不要再次添加 /v1。
* 这是未经筛选的完整操作目录。使用经过身份验证的 GET /v1/actions，了解特定凭据获准使用的操作。
* 运行时 OpenAPI 文档仅涵盖操作分发；不包含 OAuth 路由、/mcp、发现端点本身或现有的分片上传路由。
* 此读取操作不计入每月集成调用或账户集成速率计数。服务的公共 HTTP 防护仍适用。
* 示例使用生产环境源地址。请从所选环境读取元数据，避免混用生产和开发环境。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.